import os
from dotenv import load_dotenv

load_dotenv()

DEBUG = os.environ.get('DEBUG', 'True') == 'True'

DATABASE_CONFIG = {
    'port': os.environ.get('DATABASE_PORT', ''),
    'host': os.environ.get('DATABASE_HOST', ''),
    'password': os.environ.get('DATABASE_PASSWORD', ''),
    'user': os.environ.get('DATABASE_USER', ''),
    'name': os.environ.get('DATABASE_NAME', ''),
    'engine': os.environ.get('DATABASE_ENGINE', ''),
}
SECRET_KEY = os.environ.get('SECRET_KEY', '')

STATIC_ROOT_PATH = os.environ.get('STATIC_ROOT_PATH', '/var/www/forum/static/')
LOGGING_FILE_LOCATION = os.environ.get('LOGGING_FILE_LOCATION', '/home/nathanchapman/debug.log')

ANYMAIL_CONFIG = {
    'MAILGUN_API_KEY': os.environ.get('MAILGUN_API_KEY', ''),
    'MAILGUN_SENDER_DOMAIN': os.environ.get('MAILGUN_SENDER_DOMAIN', '')
}

DEFAULT_FROM_EMAIL = os.environ.get(
    'DEFAULT_FROM_EMAIL', 'notifications@forum.windmillapps.org'
)
SERVER_EMAIL = os.environ.get('SERVER_EMAIL', 'server@forum.windmillapps.org')
ADMIN_EMAIL = os.environ.get('ADMIN_EMAIL', 'debug@nathanjchapman.com')

CACHE_CONFIG = {
    'location': os.environ.get('CACHE_LOCATION', ''),
    'backend': os.environ.get('CACHE_BACKEND', ''),
}

SECURE_HSTS_SECONDS = os.environ.get('SECURE_HSTS_SECONDS', 3600)
SECURE_SSL_REDIRECT = os.environ.get('SECURE_SSL_REDIRECT', 'False') == 'True'
SESSION_COOKIE_SECURE = os.environ.get('SESSION_COOKIE_SECURE', 'False') == 'True'
CSRF_COOKIE_SECURE = os.environ.get('CSRF_COOKIE_SECURE', 'False') == 'True'
SECURE_CROSS_ORIGIN_OPENER_POLICY = 'same-origin-allow-popups'
